[Blends-commit] r2129 - in projects/gis/trunk: . config debian files files/etc files/etc/kde3 files/root files/usr files/usr/share files/usr/share/wallpapers hooks packages tasks

Debian Pure Blends Subversion Commit noreply at alioth.debian.org
Sat Apr 10 17:49:00 UTC 2010


Author: tille
Date: Sat Apr 10 17:48:57 2010
New Revision: 2129
URL: http://svn.debian.org/viewsvn/blends?rev=2129&view=rev

Log:
Reinject Debian GIS data into Blends SVN which was formerly included as svn:external property; Rationale: Files do not seem to be maintained pkg-grass team for the moment and I need immediate access.  It might be that after some discussion the files will be moved back to pkg-grass SVN but permissions need to be fixed first


Added:
   projects/gis/trunk/
   projects/gis/trunk/Makefile
   projects/gis/trunk/README
   projects/gis/trunk/build-gis-live   (contents, props changed)
   projects/gis/trunk/config/
   projects/gis/trunk/config/conf
   projects/gis/trunk/config/config
   projects/gis/trunk/config/config.1
   projects/gis/trunk/config/control
   projects/gis/trunk/debian/
   projects/gis/trunk/debian/changelog
   projects/gis/trunk/debian/compat
   projects/gis/trunk/debian/control.stub
   projects/gis/trunk/debian/copyright
   projects/gis/trunk/debian/rules   (contents, props changed)
   projects/gis/trunk/files/
   projects/gis/trunk/files/etc/
   projects/gis/trunk/files/etc/kde3/
   projects/gis/trunk/files/etc/kde3/kdesktoprc
   projects/gis/trunk/files/root/
   projects/gis/trunk/files/usr/
   projects/gis/trunk/files/usr/share/
   projects/gis/trunk/files/usr/share/wallpapers/
   projects/gis/trunk/files/usr/share/wallpapers/debiangis_wallpaper.png   (contents, props changed)
   projects/gis/trunk/hooks/
   projects/gis/trunk/hooks/10-default
   projects/gis/trunk/hooks/20-osm
   projects/gis/trunk/packages/
   projects/gis/trunk/packages/base
   projects/gis/trunk/packages/base2
   projects/gis/trunk/packages/debian-gis
   projects/gis/trunk/tasks/
   projects/gis/trunk/tasks/devel
   projects/gis/trunk/tasks/gps
   projects/gis/trunk/tasks/osm
   projects/gis/trunk/tasks/statistics
   projects/gis/trunk/tasks/tools
   projects/gis/trunk/tasks/web
   projects/gis/trunk/tasks/workstation

Added: projects/gis/trunk/Makefile
==============================================================================
--- (empty file)
+++ projects/gis/trunk/Makefile	Sat Apr 10 17:48:57 2010
@@ -0,0 +1,3 @@
+#!/usr/bin/make -f
+
+include /usr/share/blends-dev/Makefile

Added: projects/gis/trunk/README
==============================================================================
--- (empty file)
+++ projects/gis/trunk/README	Sat Apr 10 17:48:57 2010
@@ -0,0 +1,7 @@
+Debian GIS subproject
+
+The project web pages are available from <URL:http://wiki.debian.org/DebianGis>
+
+http://www.refractions.net/white_papers/oss_briefing/2006-06-OSS-Briefing.pdf
+
+An overview of current open source gis software.

Added: projects/gis/trunk/build-gis-live
==============================================================================
--- (empty file)
+++ projects/gis/trunk/build-gis-live	Sat Apr 10 17:48:57 2010
@@ -0,0 +1,198 @@
+#!/bin/sh
+#
+# (c) 2006, 2007	Holger Levsen <debian at layer-acht.org>
+# (c) 2007 		    Petter Reinholdtsen <pere at hungry.com>
+# (c) 2007, 2008    Andreas Putzo <andreas at putzo.net>
+#
+# Licended under GPL2
+#
+# Build script for Debian Gis Live CD.
+# Based on build script for Debian Edu live CD.
+#
+# Build depends: live-helper tasksel
+#
+# Tested using live-helper version 1.0.0-2
+#
+##############################################################################
+
+# Exit on errors
+set -e
+
+# Config options. See also lh_config call below.
+verbose=1
+build_dir=build
+publish_dir=$(pwd)/pub
+logfile=`mktemp`
+today="`date +%Y%m%d%H%M`"
+lockfile="/var/lock/gislive-build"
+mirror=http://ftp.de.debian.org/debian
+dist=lenny
+# package (-lists) to install
+package_list_dir=$(pwd)/packages
+# scripts to execute in the chroot
+hook_dir=$(pwd)/hooks
+# Files to copy into the chroot to /
+misc_files_dir=$(pwd)/files
+publisher="Debian GIS Project"
+live_username="gis"
+live_hostname="Debian-GIS"
+# CD boot image
+#splashpng=foo.png
+
+export LH_PACKAGES_LISTS="kde debian-gis base base2"
+
+# helper functions
+msg_info() {
+  echo info: $@
+}
+
+msg_error() {
+  echo error: $@
+}
+
+at_exit() {
+    rm $lockfile
+    if [ -f $logfile ] ; then
+    	grep -v ^
 $logfile > $publish_dir/gislive-${today}.log
+	    chmod 644 $publish_dir/gislive-${today}.log
+    	rm $logfile
+    fi
+    cd -
+}
+
+####
+trap at_exit EXIT
+if [ "$verbose" ]; then
+    tail -f $logfile &
+fi    
+
+# Some steps need to run as root. Use sudo unless already root
+if [ root != "$(whoami)" ] ; then
+    SUDO=sudo
+fi
+
+# check lockfile
+if [ -f "$lockfile" ] ; then
+	echo $lockfile exists, aborting
+	exit 1
+fi
+$SUDO echo $$ > $lockfile
+
+# check publishdir
+if [ ! -d "$publish_dir" ] ; then
+    msg_error "$publish_dir does not exist, aborting."
+    exit 1
+fi
+
+# cleanup from previous builds
+[ -d "$build_dir" ] || mkdir -p $build_dir
+cd $build_dir
+if lh_clean --all; then
+    msg_info cleaning old build dir succeeded
+    rm -rf config
+else
+    msg_error generating configuration failed
+#    exit 1
+fi
+
+# configure live-helper
+export LH_BOOTAPPEND_LIVE="quiet splash"
+if /usr/bin/lh_config \
+    --apt aptitude \
+    --bootappend "quiet splash" \
+    --mirror-bootstrap "$mirror" \
+    --mirror-binary "$mirror" \
+    --distribution "$dist" \
+    --categories 'main' \
+    --apt-recommends disabled \
+    --union-filesystem aufs \
+    --linux-packages 'linux-image-2.6 aufs-modules-2.6 squashfs-modules-2.6' \
+    --iso-publisher "$publisher" \
+    --username "$live_username" \
+    --hostname "$live_hostname" \
+    --verbose
+
+#    --keyring-packages debian-archive-keyring \
+then
+  msg_info generating configuration succeeded
+else
+  msg_error generating configuration failed
+  exit 1
+fi
+
+# copy hooks
+if [ -d "$hook_dir" ]; then
+    for hook in $(ls "$hook_dir"); do
+        cp -v $hook_dir/$hook config/chroot_local-hooks
+    done
+fi
+
+# copy package lists
+if [ -d "$package_list_dir" ]; then
+    for list in $(ls "$package_list_dir"); do
+        cp -v $package_list_dir/$list config/chroot_local-packageslists
+    done
+fi
+
+# copy misc files 
+if [ -d "$misc_files_dir" ]; then
+    ( cd "$misc_files_dir" && find . ! \( -type d -a -name ".svn" -prune \) ) | while read file; do
+        if [ -d "$misc_files_dir/$file" ]; then
+            mkdir -p config/chroot_local-includes/$file
+        elif [ -f "$misc_files_dir/$file" ]; then
+            cp -v $misc_files_dir/$file config/chroot_local-includes/$file
+        fi            
+    done
+fi
+
+# prepare chroot
+if $SUDO /usr/bin/lh_bootstrap >> $logfile 2>&1; then
+    msg_info "bootstrap succeeded."
+else
+    msg_error "bootstrap failed."
+    exit 1
+fi
+
+if $SUDO /usr/bin/lh_chroot >> $logfile 2>&1; then
+    msg_info "creating chroot succeeded."
+else
+    msg_error "creating chroot failed."
+    exit 1
+fi    
+
+# Generate RLE from a splash image PNG
+# Color index 0 is background, and index 7 is foreground.  Set to
+# black and white respecively
+if [ -f "$splashpng" ] ; then
+    pngtopnm < $splashpng | ppmquant 16 2>/dev/null | \
+	ppmtolss16 "#ffffff=7" "#000000=0"  2>/dev/null \
+	> config/binary_syslinux/splash.rle
+fi
+
+# call lh_binary to build the iso image and publish the result
+if $SUDO /usr/bin/lh_binary >> $logfile 2>&1; then
+  msg_info "build succeeded."
+else
+  msg_error "build failed."
+  exit 1
+fi
+if [ -f binary.iso ] ; then
+  mv binary.iso $publish_dir/gislive-${today}.iso
+  md5sum $publish_dir/gislive-${today}.iso > $publish_dir/gislive-${today}.md5sum
+  msg_info successfully build live-cd.
+else 
+  echo "#########################################################"
+  echo 
+  echo "An error occured, .iso was not created :-("
+  echo 
+  if [ ! "$verbose" ]; then
+      echo "30 last lines of the make-live output:"
+      echo
+      tail -30 $logfile
+  fi          
+fi 
+
+# cleanup old images and logs
+find $publish_dir -mtime +1 !  -name "gislive-*00.???" -exec rm {} \;
+find $publish_dir -mtime +2 !  -name "gislive-1600.???" -exec rm {} \;
+find $publish_dir -mtime +14 ! -name "gislive-0400.???" -exec rm {} \;

Added: projects/gis/trunk/config/conf
==============================================================================
--- (empty file)
+++ projects/gis/trunk/config/conf	Sat Apr 10 17:48:57 2010
@@ -0,0 +1,9 @@
+## This is a configuration file for Debian GIS Blend
+## It is read after /etc/blends/blends.conf and can override or add variables
+
+## This variable is replaced by a debconf question
+## UPDATEUSERMENU=yes
+
+## Some Blends do not build their name generic like Debian-#BLEND# so
+## we need the correct name here
+BLENDNAME="Debian GIS"

Added: projects/gis/trunk/config/config
==============================================================================
--- (empty file)
+++ projects/gis/trunk/config/config	Sat Apr 10 17:48:57 2010
@@ -0,0 +1,6 @@
+#!/bin/sh
+## Prints some info about that package and lets auto-apt work
+dpkg --status `basename $0` | \
+     grep -v ^Priority | \
+     grep -v ^Section | \
+     grep -v ^Installed-Size

Added: projects/gis/trunk/config/config.1
==============================================================================
--- (empty file)
+++ projects/gis/trunk/config/config.1	Sat Apr 10 17:48:57 2010
@@ -0,0 +1,19 @@
+.TH gis-config 1 "Oct 18, 2007" "Debian GIS"
+.SH NAME
+.B gis-config
+.B gis-<meta_package_name>
+\- package information and auto-apt helper
+
+.SH SYNOPSIS
+.B gis-config
+.B gis-<meta_package_name>
+
+.SH DESCRIPTION
+Print just a simple information page about every gis-* package
+of the Debian GIS Blend.  Each metapackage has a 
+.I /usr/bin/gis-<meta_package_name>
+file which should print some usefull informations and could be serve
+as auto-apt helper.
+
+.SH AUTHOR
+Andreas Tille <tille at debian.org>.

Added: projects/gis/trunk/config/control
==============================================================================
--- (empty file)
+++ projects/gis/trunk/config/control	Sat Apr 10 17:48:57 2010
@@ -0,0 +1,7 @@
+Package: gis-config
+Architecture: all
+Depends: adduser, debconf (>= 0.5), menu
+Description: Debian GIS Project config package
+ This package builds the basic infra structure of all meta packages
+ for the Debian GIS Blend.
+

Added: projects/gis/trunk/debian/changelog
==============================================================================
--- (empty file)
+++ projects/gis/trunk/debian/changelog	Sat Apr 10 17:48:57 2010
@@ -0,0 +1,5 @@
+debian-gis (0.0.1) unstable; urgency=low
+
+  * Initial release. (Closes: #XXXXXX)
+
+ -- Petter Reinholdtsen <pere at debian.org>  Sun, 10 Sep 2006 00:09:59 +0200

Added: projects/gis/trunk/debian/compat
==============================================================================
--- (empty file)
+++ projects/gis/trunk/debian/compat	Sat Apr 10 17:48:57 2010
@@ -0,0 +1 @@
+4

Added: projects/gis/trunk/debian/control.stub
==============================================================================
--- (empty file)
+++ projects/gis/trunk/debian/control.stub	Sat Apr 10 17:48:57 2010
@@ -0,0 +1,8 @@
+Source: debian-gis
+Section: misc
+Priority: extra
+Maintainer: Debian GIS Project <pkg-grass-devel at lists.alioth.debian.org>
+Uploaders: Petter Reinholdtsen <pere at debian.org>, Andreas Tille <tille at debian.org>
+Build-Depends-Indep: debhelper (>= 7), blends-dev (>= 0.6.12)
+Standards-Version: 3.8.4
+

Added: projects/gis/trunk/debian/copyright
==============================================================================
--- (empty file)
+++ projects/gis/trunk/debian/copyright	Sat Apr 10 17:48:57 2010
@@ -0,0 +1,23 @@
+This package was written by Petter Reinholdtsen on and before
+Sat Aug  4 22:39:41 CEST 2007
+
+Upstream Author: The Debian GIS project <pkg-grass-devel at lists.alioth.debian.org>
+
+Copyright:
+
+   This package is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; version 2 dated June, 1991.
+
+   This package is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this package; if not, write to the Free Software
+   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
+   02110-1301, USA.
+
+On Debian GNU/Linux systems, the complete text of the GNU General
+Public License can be found in `/usr/share/common-licenses/GPL'.

Added: projects/gis/trunk/debian/rules
==============================================================================
--- (empty file)
+++ projects/gis/trunk/debian/rules	Sat Apr 10 17:48:57 2010
@@ -0,0 +1,3 @@
+#!/usr/bin/make -f
+
+include /usr/share/blends-dev/rules

Added: projects/gis/trunk/files/etc/kde3/kdesktoprc
==============================================================================
--- (empty file)
+++ projects/gis/trunk/files/etc/kde3/kdesktoprc	Sat Apr 10 17:48:57 2010
@@ -0,0 +1,3 @@
+[Desktop0]
+Wallpaper=/usr/share/wallpapers/debiangis_wallpaper.png
+WallpaperMode=Scaled

Added: projects/gis/trunk/files/usr/share/wallpapers/debiangis_wallpaper.png
==============================================================================
Binary file. No diff available.

Added: projects/gis/trunk/hooks/10-default
==============================================================================
--- (empty file)
+++ projects/gis/trunk/hooks/10-default	Sat Apr 10 17:48:57 2010
@@ -0,0 +1,12 @@
+#! /bin/sh
+
+echo "Executing $0"
+wallpaper=/root/debiangis_wallpaper.png
+
+# run deborphan
+aptitude remove --purge $(deborphan)
+
+# run updatedb
+updatedb
+
+exit 0

Added: projects/gis/trunk/hooks/20-osm
==============================================================================
--- (empty file)
+++ projects/gis/trunk/hooks/20-osm	Sat Apr 10 17:48:57 2010
@@ -0,0 +1,28 @@
+#! /bin/sh
+# Populate postgres with osm planet data
+
+echo "Executing $0"
+
+planet=/root/planet-latest.osm.bz2
+
+if [ ! -f "$planet" ]; then
+    echo "No planet file found!"
+    exit 0
+fi
+if [ ! -x /usr/bin/osm2pgsql ]; then
+    echo "osm2pgsql not installed!"
+    exit 0
+fi
+
+/etc/init.d/postgresql-8.3 start
+sudo -u postgres createuser -Upostgres -S -D -R gis
+sudo -u postgres createdb -Upostgres -EUNICODE gis
+echo GRANT ALL ON SCHEMA PUBLIC TO gis | sudo -u postgres psql -Upostgres gis
+sudo -u postgres createlang -Upostgres plpgsql gis
+sudo -u postgres psql gis < /usr/share/postgresql-8.3-postgis/lwpostgis.sql
+echo GRANT ALL ON geometry_columns TO gis | sudo -u postgres psql -Upostgres gis
+echo GRANT ALL ON spatial_ref_sys TO gis  | sudo -u postgres psql -Upostgres gis
+sudo -u postgres /usr/bin/osm2pgsql $planet
+/etc/init.d/postgresql-8.3 stop
+rm -f "$planet"
+exit 0

Added: projects/gis/trunk/packages/base
==============================================================================
--- (empty file)
+++ projects/gis/trunk/packages/base	Sat Apr 10 17:48:57 2010
@@ -0,0 +1,16 @@
+usplash-theme-debian
+less
+iceweasel
+links
+lynx
+deborphan
+cvs
+cvsutils
+cvs2cl
+subversion
+subversion-tools
+bzr
+bzr-tools
+sl
+openssh-client
+locate

Added: projects/gis/trunk/packages/base2
==============================================================================
--- (empty file)
+++ projects/gis/trunk/packages/base2	Sat Apr 10 17:48:57 2010
@@ -0,0 +1 @@
+usplash

Added: projects/gis/trunk/packages/debian-gis
==============================================================================
--- (empty file)
+++ projects/gis/trunk/packages/debian-gis	Sat Apr 10 17:48:57 2010
@@ -0,0 +1,49 @@
+avce00
+e00compr
+earth3d
+gdal-bin
+geoip-bin
+gmt
+gpsbabel
+gpsdrive
+gpsman
+gpsmanshp
+gpx2shp
+grace6
+grass
+grass-doc
+kflog
+mapnik-utils
+mapserver-bin
+mozilla-plugin-gnash
+ogdi-bin
+openscenegraph
+thuban
+drawmap
+pgadmin3
+php5-mapscript
+phppgadmin
+postgis
+postgresql-8.3-postgis
+proj
+python-mapnik
+qgis
+qgis-plugin-grass
+r-base
+r-cran-mapdata
+r-cran-maps
+googleearth-package
+gosmore
+gpsd
+gpsd-clients
+gpstrans
+josm
+mapnik-viewer
+openjump
+osm-tools
+osmarendrer
+r-cran-mapproj
+renderathome
+swfdec-mozilla
+osm2pgsql
+viking

Added: projects/gis/trunk/tasks/devel
==============================================================================
--- (empty file)
+++ projects/gis/trunk/tasks/devel	Sat Apr 10 17:48:57 2010
@@ -0,0 +1,9 @@
+Task: Devel
+Description: Developing GIS applications
+ Debian packages which are useful to develop applications dealing with
+ geographical information.
+
+Depends: python-mapnik
+
+Depends: python-osmgpsmap
+

Added: projects/gis/trunk/tasks/gps
==============================================================================
--- (empty file)
+++ projects/gis/trunk/tasks/gps	Sat Apr 10 17:48:57 2010
@@ -0,0 +1,13 @@
+Task: GPS
+Description: GPS related programs
+ Set of Debian packages which are dealing with GPS devices
+ and data.
+
+Depends:     gpsbabel, \
+             gpx2shp, \
+             gpsd, \
+             gpsdrive, \
+             gpsman, \
+             gpstrans, \
+             gpsd-clients
+

Added: projects/gis/trunk/tasks/osm
==============================================================================
--- (empty file)
+++ projects/gis/trunk/tasks/osm	Sat Apr 10 17:48:57 2010
@@ -0,0 +1,39 @@
+Task: OpenStreetMap
+Description: OpenStreetMap related programs
+ Set of Debian packages which are dealing with OpenStreetMap
+ data.
+
+Recommends:  gis-gps
+
+Depends:     viking
+
+Depends:     josm
+X-Conflicts: josm-plugins
+X-Comment    Conflicts with recent josm package
+
+Depends:     merkaartor
+
+Depends:     gosmore
+
+Depends:     maptool
+
+Depends:     osm2navit, osm2pgsql
+
+X-Comment:   Does it make sense to create a osm-server task???
+Depends:     osmosis
+
+Depends: memphis
+Homepage: http://trac.openstreetmap.ch/trac/memphis/
+License:  GPL
+WNPP:     575401
+Pkg-Description: GObject based API to render OpenStreetMap data on a cairo surface
+ LibMemphis  provides a GObject based API to render
+ OpenStreetMap data on a cairo surface. Libmemphis implements the
+ 'Slippy Map Tilename' specification, like Mapnik and Osmarender. It
+ supports zoom level 12 to 18, projected with the Mercator projection. 
+
+X-Depends: osmarender
+X-Comment: There might have been a package of this because it was mentioned in
+           the workplace task, but I was not able any trace of the package in
+           the Debian pool.
+

Added: projects/gis/trunk/tasks/statistics
==============================================================================
--- (empty file)
+++ projects/gis/trunk/tasks/statistics	Sat Apr 10 17:48:57 2010
@@ -0,0 +1,9 @@
+Task: Statistics
+Description: Statistics with geographical data
+ Set of Debian packages which are useful for doing statistics
+ with geographical data.
+
+Depends:     r-cran-mapdata, \
+             r-cran-mapproj, \
+             r-cran-maps
+

Added: projects/gis/trunk/tasks/tools
==============================================================================
--- (empty file)
+++ projects/gis/trunk/tasks/tools	Sat Apr 10 17:48:57 2010
@@ -0,0 +1,17 @@
+Task: Tools
+Description: Tools to handle geographic information
+ Debian packages which are dealing with geographical information
+ and provide some useful tools for conversion, manipulation and
+ other things.  Furthermore some more general tools like vector
+ plotting programs are suggested.
+
+Depends: geographiclib-tools
+
+Depends: geoip-bin
+
+Depends: gmt
+
+Depends: grace
+
+Depends: mapnik-utils, mapnik-viewer
+

Added: projects/gis/trunk/tasks/web
==============================================================================
--- (empty file)
+++ projects/gis/trunk/tasks/web	Sat Apr 10 17:48:57 2010
@@ -0,0 +1,7 @@
+Task: Web
+Description: Present geographic information using web features
+ Debian packages which are dealing with geographical information
+ to be presented for the web.
+
+Depends: php5-mapscript, mapserver-bin, cgi-mapserver, python-mapscript
+

Added: projects/gis/trunk/tasks/workstation
==============================================================================
--- (empty file)
+++ projects/gis/trunk/tasks/workstation	Sat Apr 10 17:48:57 2010
@@ -0,0 +1,44 @@
+Task: Workstation
+Description: Geographic Information Systems (GIS) workstation
+ This task sets up your system to be a GIS workstation to process
+ geographical information and make maps.
+
+Depends: gis-osm, gis-tools
+
+Depends:     grass, \
+             qgis, \
+             qgis-plugin-grass
+Why:         The key packages in the GIS task.
+Responsible: Petter Reinholdtsen
+NeedConfig:  ?
+
+Depends:     openjump, \
+             earth3d, \
+             openscenegraph, \
+             thuban, \
+             drawmap, \
+             proj
+             
+X-Deleted-From-Debian: kflog (available in Etch)
+
+Depends:     postgis, \
+             postgresql-8.4-postgis
+
+Suggests:    grass-doc
+
+X-Begin-Category: ESRI Shapefile
+
+Depends:     gpsmanshp, \
+             avce00, \
+             e00compr
+
+X-End-Category: ESRI Shapefile
+
+Depends:     gdal-bin, \
+             ogdi-bin
+
+Suggests:    googleearth-package
+
+Suggests:    s3dosm
+X-Comment:   Please verify sense of this package, it is Tagged qa::low-popcon
+



More information about the Blends-commit mailing list